crunchy-cli-search(1)

NAME
crunchy-cli search - Search in videos

SYNOPSIS
crunchy-cli search [--audio] [--search-top-results-limit] [--search-series-limit] [--search-movie-listing-limit] [--search-episode-limit] [--search-music-limit] [-o|--output] [-h|--help] <INPUT>

DESCRIPTION
Search in videos

OPTIONS

--audio=AUDIO [default: en-US]
    Audio languages to include. Available languages are:
      ar-ME → Arabic
      ar-SA → Arabic (Saudi Arabia)
      ca-ES → Catalan
      de-DE → German
      en-IN → English (India)
      en-US → English (US)
      es-419 → Spanish (Latin America)
      es-ES → Spanish (European)
      es-LA → Spanish (Latin America)
      fr-FR → French
      hi-IN → Hindi
      id-ID → Indonesian
      it-IT → Italian
      ja-JP → Japanese
      ko-KR → Korean
      ms-MY → Malay
      pl-PL → Polish
      pt-BR → Portuguese (Brazil)
      pt-PT → Portuguese (Europe)
      ru-RU → Russian
      ta-IN → Tamil
      te-IN → Telugu
      th-TH → Thai
      tr-TR → Turkish
      vi-VN → Vietnamese
      zh-CN → Chinese (China)
      zh-CN → Chinese (China)
      zh-TW → Chinese (Mandarin)

--search-top-results-limit=SEARCH_TOP_RESULTS_LIMIT [default: 5]
    Limit of search top search results

--search-series-limit=SEARCH_SERIES_LIMIT [default: 0]
    Limit of search series results

--search-movie-listing-limit=SEARCH_MOVIE_LISTING_LIMIT [default: 0]
    Limit of search movie listing results

--search-episode-limit=SEARCH_EPISODE_LIMIT [default: 0]
    Limit of search episode results

--search-music-limit=SEARCH_MUSIC_LIMIT [default: 0]
    Limit of search music results

-o, --output=OUTPUT [default: S{{season.number}}E{{episode.number}} - {{episode.title}}]
    Format of the output text. You can specify keywords in a specific pattern and they will get replaced in the output text. The required pattern for this begins with `{{`, then the keyword, and closes with `}}` (e.g. `{{episode.title}}`). For example, if you want to get the title of an episode, you can use `Title {{episode.title}}` and `{{episode.title}}` will be replaced with the episode title See the following list for all keywords and their meaning:
        series.id → Series id
        series.title → Series title
        series.description → Series description
        series.release_year → Series release year
        season.id → Season id
        season.title → Season title
        season.description → Season description
        season.number → Season number
        season.episodes → Number of episodes the season has
        episode.id → Episode id
        episode.title → Episode title
        episode.description → Episode description
        episode.locale → Episode locale/language
        episode.number → Episode number
        episode.sequence_number → Episode number. This number is unique unlike `episode.number` which sometimes can be duplicated
        episode.duration → Episode duration in milliseconds
        episode.air_date → Episode air date as unix timestamp
        episode.premium_only → If the episode is only available with Crunchyroll premium
        movie_listing.id → Movie listing id
        movie_listing.title → Movie listing title
        movie_listing.description → Movie listing description
        movie.id → Movie id
        movie.title → Movie title
        movie.description → Movie description
        movie.duration → Movie duration in milliseconds
        movie.premium_only → If the movie is only available with Crunchyroll premium
        music_video.id → Music video id
        music_video.title → Music video title
        music_video.description → Music video description
        music_video.duration → Music video duration in milliseconds
        music_video.premium_only → If the music video is only available with Crunchyroll premium
        concert.id → Concert id
        concert.title → Concert title
        concert.description → Concert description
        concert.duration → Concert duration in milliseconds
        concert.premium_only → If the concert is only available with Crunchyroll premium
        stream.locale → Stream locale/language
        stream.dash_url → Stream url in DASH format. You need to set the `Authorization` header to `Bearer <account.token>` when requesting this url
        stream.is_drm → If `stream.dash_url` is DRM encrypted
        subtitle.locale → Subtitle locale/language
        subtitle.url → Url to the subtitle
        account.token → Access token to make request to restricted endpoints. This token is only valid for a max. of 5 minutes
        account.id → Internal ID of the user account
        account.profile_name → Profile name of the account
        account.email → Email address of the account

-h, --help
    Print help (see a summary with '-h')

<INPUT>